Bug 851503 - JBPM-3454 Repeating intermediate timer events will only fire if the attached process completes successfully.
JBPM-3454 Repeating intermediate timer events will only fire if the attached...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Maciej Swiderski
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 07:29 EDT by Maciej Swiderski
Modified: 2015-06-01 21:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In cases where an unexpected error in the process flow occurred, the started by timer was not rescheduled properly, instead it was reregistered which caused duplicate executions. This was resolved by ensuring that timers are only registered once even when unexpected errors occur.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3454 Major Resolved Repeating intermediate timer events will only fire if the attached process completes successfully. 2016-09-24 23:16 EDT

  None (edit)
Description Maciej Swiderski 2012-08-24 07:29:27 EDT
Description of problem:
backport of https://issues.jboss.org/browse/JBPM-3454, in case of exception in any node after being started with timer timer will not be rescheduled properly

Version-Release number of selected component (if applicable):


Actual results:
timer is not be rescheduled properly in case of exception in downstream nodes

Expected results:
timer should be rescheduled even exception is thrown to retry with next iteration

Additional info:
Comment 1 Maciej Swiderski 2012-08-24 08:06:16 EDT
backported into 5.2.x branch
Comment 2 Jiri Svitak 2012-09-20 05:36:31 EDT
Verified in BRMS 5.3.1 ER1.
Comment 3 Douglas Hoffman 2012-10-23 00:59:21 EDT
I have updated the Release Notes.

Thanks, Maciej.

- Doug

Note You need to log in before you can comment on or make changes to this bug.